#
# spec file for package perl-Class-Container
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Class-Container
%define cpan_name Class-Container
Summary:        Glues object frameworks together transparently
Version:        0.12
Release:        2.1
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Class-Container/
#Source:         http://www.cpan.org/modules/by-module/Class/Class-Container-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl(Module::Build)
BuildRequires:  perl-macros
BuildRequires:  perl(Carp)
BuildRequires:  perl(Params::Validate) >= 0.23
BuildRequires:  perl(Scalar::Util)
Requires:       perl(Carp)
Requires:       perl(Params::Validate) >= 0.23
Requires:       perl(Scalar::Util)

%description
This class facilitates building frameworks of several classes that inter-
operate. It was first designed and built for HTML::Mason, in which the
Compiler, Lexer, Interpreter, Resolver, Component, Buffer, and several
other objects must create each other transparently, passing the appropriate
parameters to the right class, possibly substituting other subclasses for
any of these objects.


Authors:
--------
    Ken Williams <ken@mathforum.org>
    Dave Rolsky <autarch@urth.org>

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes README

%changelog
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Jul 11 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- noarch pkg
- changelog to changes file
* Thu Nov  1 2007 jfunk@funktronics.ca
- Initial release
